# std::experimental::minmax

From cppreference.com
< cpp‎ | experimental‎ | simd

Defined in header `<experimental/simd>` |  |
template < class T, class Abi > std::pair<simd<T, Abi>, simd<T, Abi>> minmax( const simd<T, Abi>& a, const simd<T, Abi>& b ) noexcept; |  |

Returns both the element-wise min result and element-wise max result.

### Parameters

a | - | the first vector of elements for minmax
b | - | the second vector of elements for minmax

### Return value

An object r, where the i-th element of r.first is std::min(a[i], b[i]), and the i-th element of r.second is std::max(a[i], b[i]).

### Example

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/simd/minmax&oldid=102705"